> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.velocity.shop/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve team hierarchy

> The tree of rep links for a team.



## OpenAPI

````yaml /openapi.yaml get /alignments/{id}/hierarchy/
openapi: 3.0.3
info:
  title: Velocity Merchant API
  version: 1.0.0
servers:
  - url: https://api.velocity.shop
security: []
paths:
  /alignments/{id}/hierarchy/:
    get:
      tags:
        - Teams
      summary: Retrieve team hierarchy
      description: The tree of rep links for a team.
      operationId: alignments_hierarchy_list
      parameters:
        - in: path
          name: id
          schema:
            type: string
            format: uuid
          required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/RepLink'
          description: ''
      security:
        - merchantApiToken: []
components:
  schemas:
    RepLink:
      type: object
      description: A rep's position in a team's hierarchy.
      properties:
        id:
          type: string
          format: uuid
        rep_level_id:
          type: string
          format: uuid
        rep:
          $ref: '#/components/schemas/ThinRep'
        children:
          type: array
          items:
            $ref: '#/components/schemas/RepLink'
      required:
        - children
        - id
        - rep
        - rep_level_id
    ThinRep:
      type: object
      properties:
        id:
          type: string
          format: uuid
          readOnly: true
        identifier:
          type: string
        name:
          type: string
        email:
          description: An empty string indicates no email.
          type: string
          format: email
        is_disabled:
          type: boolean
          readOnly: true
      required:
        - email
        - id
        - is_disabled
        - name
  securitySchemes:
    merchantApiToken:
      type: http
      scheme: bearer

````